petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetAdjacencyUseAnchors

Query whether adjacency in the mesh uses the point-to-point constraints.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetAdjacencyUseAnchors(DM dm, PetscBool *useAnchors)

### Input Parameter

dm -The DM object Many br

### Output Parameter

useAnchors -Flag to use the closure. If PETSC_TRUE, then constrained points are omitted from DMPlexGetAdjacency(), and their anchor points appear in their place. Many br

Many br

### See Also

DMPlexSetAdjacencyUseAnchors(), DMPlexSetAdjacencyUseCone(), DMPlexGetAdjacencyUseCone(), DMPlexDistribute(), DMPlexPreallocateOperator(), DMPlexSetAnchors()

Level:intermediate
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages